/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 8; tab-width: 8 -*- */

/* mate-vfs.h - The MATE Virtual File System.

   Copyright (C) 1999 Free Software Foundation

   The Mate Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   The Mate Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with the Mate Library; see the file COPYING.LIB.  If not,
   write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.

   Author: Ettore Perazzoli <ettore@comm2000.it>
*/

#ifndef MATE_VFS_H
#define MATE_VFS_H

#include <libmatevfs/mate-vfs-acl.h>
#include <libmatevfs/mate-vfs-address.h>
#include <libmatevfs/mate-vfs-async-ops.h>
#include <libmatevfs/mate-vfs-cancellation.h>
#include <libmatevfs/mate-vfs-context.h>
#include <libmatevfs/mate-vfs-directory.h>
#include <libmatevfs/mate-vfs-dns-sd.h>
#include <libmatevfs/mate-vfs-drive.h>
#include <libmatevfs/mate-vfs-file-info.h>
#include <libmatevfs/mate-vfs-file-size.h>
#include <libmatevfs/mate-vfs-find-directory.h>
#include <libmatevfs/mate-vfs-handle.h>
#include <libmatevfs/mate-vfs-init.h>
#include <libmatevfs/mate-vfs-job-limit.h>
#include <libmatevfs/mate-vfs-mime-info-cache.h>
#include <libmatevfs/mate-vfs-mime-monitor.h>
#include <libmatevfs/mate-vfs-mime-utils.h>
#include <libmatevfs/mate-vfs-module-callback.h>
#include <libmatevfs/mate-vfs-monitor.h>
#include <libmatevfs/mate-vfs-ops.h>
#include <libmatevfs/mate-vfs-resolve.h>
#include <libmatevfs/mate-vfs-result.h>
#include <libmatevfs/mate-vfs-uri.h>
#include <libmatevfs/mate-vfs-utils.h>
#include <libmatevfs/mate-vfs-volume.h>
#include <libmatevfs/mate-vfs-volume-monitor.h>
#include <libmatevfs/mate-vfs-xfer.h>
#include <libmatevfs/mate-vfs-enum-types.h>
#include <libmatevfs/mate-vfs-standard-callbacks.h>
#include <libmatevfs/mate-vfs-acl.h>

#endif /* MATE_VFS_H */
